package com.jkcredit.invoice.mapper.calculateinfor;

import com.jkcredit.invoice.model.entity.calculate.MounthAcc;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 上游月账单操作接口
 * @author mumuxigua
 */
@Repository
public interface MounthAccMapper {

    /**
     * 插入月账单
     * @param mounthAcc
     * @return
     */
    int insert(MounthAcc mounthAcc);

    /**
     * 删除所有月账单
     * @return
     */
    int deleteAll();
    int deleteByCompanyName(String companyName);
    /**
     * 查询月账单列表
     * @return
     */
    List<MounthAcc> selectAllMounthAcc();
}
